package com.ximai.mes.pro.domain.prototypeRequest;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.baomidou.mybatisplus.annotation.TableId;
import com.ximai.common.core.domain.BaseEntity;

/**
 * 打样申请工序检验项对象 pro_prototype_request_process_qcindex
 *
 * @author generator
 * @date 2024-01-27
 */
public class ProPrototypeRequestProcessQcindex extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** ID */
    @TableId
    private Long prototypeRequestProcessQcindexId;

    /** 打样申请ID */
    private Long prototypeRequestId;

    /** 打样申请工序ID */
    private Long prototypeRequestProcessId;

    /** 产品物料ID */
    private Long qcindexId;

    public void setPrototypeRequestProcessQcindexId(Long prototypeRequestProcessQcindexId)
    {
        this.prototypeRequestProcessQcindexId = prototypeRequestProcessQcindexId;
    }

    public Long getPrototypeRequestProcessQcindexId()
    {
        return prototypeRequestProcessQcindexId;
    }
    public void setPrototypeRequestId(Long prototypeRequestId)
    {
        this.prototypeRequestId = prototypeRequestId;
    }

    public Long getPrototypeRequestId()
    {
        return prototypeRequestId;
    }
    public void setPrototypeRequestProcessId(Long prototypeRequestProcessId)
    {
        this.prototypeRequestProcessId = prototypeRequestProcessId;
    }

    public Long getPrototypeRequestProcessId()
    {
        return prototypeRequestProcessId;
    }
    public void setQcindexId(Long qcindexId)
    {
        this.qcindexId = qcindexId;
    }

    public Long getQcindexId()
    {
        return qcindexId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("prototypeRequestProcessQcindexId", getPrototypeRequestProcessQcindexId())
            .append("prototypeRequestId", getPrototypeRequestId())
            .append("prototypeRequestProcessId", getPrototypeRequestProcessId())
            .append("qcindexId", getQcindexId())
            .append("remark", getRemark())
            .toString();
    }
}
